OS X10.12上安装cocoapods

3/1/2017来源:Android开发人气:1156

OS X10.11上安装cocoapods今天遇到的

一个坑!在OS X10.11上安装cocoapods。一直安装不上去!解决的方法就是直接安装rubygems而不是安装taobao上的。命令行就是: gem sources -a http://rubygems.org 注意是http而不是https 接着安装 sudo gem install cocoapods 这样就可以了

1:不知道是不是因为之前系统更新导致使用cocoaPods时,提示: env: ruby_executable_hooks: No such file or directory

gem sources -l #查看ruby源 gem sources --remove https://rubygems.org/ #(移除当前ruby的源) gem sources -a https://ruby.taobao.org/ #(设置当前ruby的源taobao的)

2:执行sudo gem update –system时: ERROR: SSL verification error at depth。 出现这个原因是因为Ruby需要更新到2.2版本以上,所以更新Ruby环境:

/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" 安装rvm $ curl -L get.rvm.io | bash -s stable 装载rvm $ source ~/.rvm/scripts/rvm 安装2.3.0版本ruby $ rvm install 2.3.0 将2.3.0设为默认 $ rvm use 2.3.0 --default 重新执行sudo gem update --system 成功后提示:Latest version currently installed. Aborting

3.安装sudo gem install cocoapods



蓝月亮 香港马会开奖2019年